Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.crawler
Class DocAttributes

`java.lang.Object
oracle.ultrasearch.crawler.DocAttributes`

All Implemented Interfaces:
  UrlData

public class DocAttributes
extends java.lang.Object
implements UrlData

DocAttributes is to be used by a crawler agent to submit url related data to the crawler. It does not check the validity of the data it stored.

Field Summary

Fields inherited from interface oracle.ultrasearch.crawler.UrlData
`ACCESS_URL, ACL, ATTR_DATE, ATTR_NUMBER, ATTR_STRING, DELETED, DISPLAY_URL, DOC_KEY, FALSE, LANGUAGE, OWNER, OWNER_FORMAT, PARSE_DOC, TRUE`

Constructor Summary
`DocAttributes()`

Method Summary
`void` | `addAttribute(java.lang.String name, java.math.BigDecimal value)` Add an attribute value whose type is number
`void` | `addAttribute(java.lang.String name, java.sql.Date value)` Add an attribute value whose type is java.sql.Date
`void` | `addAttribute(java.lang.String name, java.lang.String value)` Add an attribute value whose type is String
`void` | `clearData()` Clear all URL data
`java.lang.String` | `getAttributeName(int attrIndex)` Get the name of the specified attribute
`int` | `getAttributeType(int attrIndex)` Get the data type of the specified attribute
`java.util.Enumeration` | `getAttributeValues(int attrIndex)` Get the list of values for a specified attribute
`int` | `getNumAttributes()` Get number of attributes
`int` | `getNumAttrValues()` Get number of attribute values
`java.lang.String` | `getProperty(int name)` Get the value of an URL data property
`void` | `setProperty(int name, java.lang.String value)` Set physical attribute or update preference of an URL data invalid value is still set with error reported in the log file
`java.lang.String` | `toString()` Print out hte list of attribute values

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocAttributes

    public DocAttributes()

Method Detail

### toString

    public java.lang.String toString()

  Print out hte list of attribute values

### setProperty

    public void setProperty(int name,
                            java.lang.String value)

  Set physical attribute or update preference of an URL data invalid value is still set with error reported in the log file
  Specified by:
    `setProperty` in interface `UrlData`
  Parameters:
    `name` - the name of the property
    `value` - the value of the property

### getProperty

    public java.lang.String getProperty(int name)

  Get the value of an URL data property
  Specified by:
    `getProperty` in interface `UrlData`
  Parameters:
    `name` - the name of the property
  Returns:
    the property value which can be null if there is no such property

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.math.BigDecimal value)

  Add an attribute value whose type is number
  Specified by:
    `addAttribute` in interface `UrlData`
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.sql.Date value)

  Add an attribute value whose type is java.sql.Date
  Specified by:
    `addAttribute` in interface `UrlData`
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  Add an attribute value whose type is String
  Specified by:
    `addAttribute` in interface `UrlData`
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### getNumAttributes

    public int getNumAttributes()

  Get number of attributes
  Specified by:
    `getNumAttributes` in interface `UrlData`
  Returns:
    number of attributes stored in this object

### getNumAttrValues

    public int getNumAttrValues()

  Get number of attribute values
  Specified by:
    `getNumAttrValues` in interface `UrlData`
  Returns:
    number of attribute values stored in this object

### getAttributeName

    public java.lang.String getAttributeName(int attrIndex)

  Get the name of the specified attribute
  Specified by:
    `getAttributeName` in interface `UrlData`
  Parameters:
    `attrIndex` - is the 0 based index indicating which attribute
  Returns:
    the name of the specified attribute

### getAttributeType

    public int getAttributeType(int attrIndex)

  Get the data type of the specified attribute
  Specified by:
    `getAttributeType` in interface `UrlData`
  Parameters:
    `attrIndex` - is the 0 based index indicating which attribute
  Returns:
    the data type of the specified attribute; ATTR_NUMBER, ATTR_STRING, and ATTR_DATE.

### getAttributeValues

    public java.util.Enumeration getAttributeValues(int attrIndex)

  Get the list of values for a specified attribute
  Specified by:
    `getAttributeValues` in interface `UrlData`
  Parameters:
    `attrIndex` - is the 0 based index indicating which attribute
  Returns:
    an enumeration of objects containing attribute values

### clearData

    public void clearData()

  Clear all URL data
  Specified by:
    `clearData` in interface `UrlData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.